## partitionmanager 1.0.0~beta1a

=== CMakeLists.txt ===
# Copyright (C) 2008 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the
# Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

project(partitionmanager)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules/")

set(CMAKE_USE_RELATIVE_PATHS OFF)
set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)

set(VERSION_MAJOR "1")
set(VERSION_MINOR "0")
set(VERSION_RELEASE "0")
set(VERSION_SUFFIX "-BETA1")
set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}${VERSION_SUFFIX})
add_definitions(-D'VERSION="${VERSION}"')

set(KDE_MIN_VERSION 4.1)
find_package(KDE4 REQUIRED)

find_package(MSGFMT REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(UUID REQUIRED uuid)
pkg_check_modules(BLKID REQUIRED blkid)
find_package(LIBPARTED REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(${KDE4_ENABLE_EXCEPTIONS})

include(KDE4Defaults)
include(MacroLibrary)

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${UUID_INCLUDE_DIRS} ${BLKID_INCLUDE_DIRS} src/)

add_subdirectory(src)

message(STATUS "KDE Partition Manager ${VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")

add_custom_target(docs
	COMMAND doxygen Doxyfile
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)
include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory(po)

## partitionmanager 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,9 @@
 
 project(partitionmanager)
 
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules/")
+cmake_minimum_required(VERSION 2.6.0)
+
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")
 
 set(CMAKE_USE_RELATIVE_PATHS OFF)
 set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)
@@ -25,7 +27,7 @@
 set(VERSION_MAJOR "1")
 set(VERSION_MINOR "0")
 set(VERSION_RELEASE "0")
-set(VERSION_SUFFIX "-BETA1")
+set(VERSION_SUFFIX "")
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}${VERSION_SUFFIX})
 add_definitions(-D'VERSION="${VERSION}"')
 
@@ -47,6 +49,7 @@
 include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${UUID_INCLUDE_DIRS} ${BLKID_INCLUDE_DIRS} src/)
 
 add_subdirectory(src)
+add_subdirectory(icons)
 
 message(STATUS "KDE Partition Manager ${VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")

=== src/CMakeLists.txt ===
# Copyright (C) 2008 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the
# Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

############################################

file(GLOB partitionmanagerprivate_SRCS
	core/*.cpp
	util/*.cpp
	ops/*.cpp
	jobs/*.cpp
	fs/*.cpp
	gui/*.cpp
)

file(GLOB partitionmanagerprivate_UIFILES gui/*.ui kcm/*.ui)

kde4_add_ui_files(partitionmanagerprivate_SRCS ${partitionmanagerprivate_UIFILES})

kde4_add_kcfg_files(partitionmanagerprivate_SRCS config.kcfgc)

kde4_add_library(partitionmanagerprivate SHARED ${partitionmanagerprivate_SRCS})

target_link_libraries(partitionmanagerprivate ${KDE4_KDECORE_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${LIBPARTED_LIBS} ${UUID_LIBRARIES} ${BLKID_LIBRARIES})

install(TARGETS partitionmanagerprivate ${INSTALL_TARGETS_DEFAULT_ARGS})

############################################

file(GLOB partitionmanager-bin_SRCS	main.cpp)

kde4_add_app_icon(partitionmanager-bin_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-apps-partitionmanager.png")

kde4_add_executable(partitionmanager-bin ${partitionmanager-bin_SRCS})

target_link_libraries(partitionmanager-bin partitionmanagerprivate)

if(UNIX)
	add_custom_target(partitionmanager ALL
		COMMAND sed -e 's,@INSTALL_PATH@,${BIN_INSTALL_DIR},g' < ${CMAKE_CURRENT_SOURCE_DIR}/partitionmanager.in > ${CMAKE_CURRENT_BINARY_DIR}/partitionmanager
	)
	install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/partitionmanager DESTINATION ${BIN_INSTALL_DIR})
endif(UNIX)
install(TARGETS partitionmanager-bin ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES gui/partitionmanagerui.rc DESTINATION ${DATA_INSTALL_DIR}/partitionmanager)
install(FILES partitionmanager.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

############################################

option(PARTMAN_KPART "Build a kpart for KDE Partition Manager" OFF)

if(PARTMAN_KPART)
	file(GLOB partitionmanagerpart_SRCS kpart/partitionmanagerpart.cpp)

	kde4_add_plugin(partitionmanagerpart ${partitionmanagerpart_SRCS})

	target_link_libraries(partitionmanagerpart
		${KDE4_KPARTS_LIBS}
		${KDE4_KDECORE_LIBS}
		partitionmanagerprivate
	)

	install(TARGETS partitionmanagerpart DESTINATION ${PLUGIN_INSTALL_DIR})
	install(FILES kpart/partitionmanagerpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})
	install(FILES kpart/partitionmanagerpart.rc DESTINATION ${DATA_INSTALL_DIR}/partitionmanagerpart)

	option(PARTMAN_KPART_TEST "Build a kpart test application for KDE Partition Manager" OFF)

	if(PARTMAN_KPART_TEST)
		add_subdirectory(kpart/test)
	endif(PARTMAN_KPART_TEST)

endif(PARTMAN_KPART)

############################################

option(PARTMAN_KCM "Build a kcm for KDE Partition Manager" ON)

if(PARTMAN_KCM)
	file(GLOB partitionmanagerkcm_SRCS kcm/partitionmanagerkcm.cpp)

	kde4_add_plugin(kcm_partitionmanager ${partitionmanagerkcm_SRCS})

	target_link_libraries(kcm_partitionmanager
		${KDE4_KUTILS_LIBS}
		${KDE4_KDEUI_LIBS}
		partitionmanagerprivate
	)

	install(TARGETS kcm_partitionmanager DESTINATION ${PLUGIN_INSTALL_DIR})
	install(FILES kcm/kcm_partitionmanager.desktop DESTINATION ${SERVICES_INSTALL_DIR})

endif(PARTMAN_KCM)

## partitionmanager 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 set(VERSION_MAJOR "1")
 set(VERSION_MINOR "0")
-set(VERSION_RELEASE "0")
+set(VERSION_RELEASE "1")
 set(VERSION_SUFFIX "")
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}${VERSION_SUFFIX})
 add_definitions(-D'VERSION="${VERSION}"')

=== debian/changelog ===
partitionmanager (1.0.1-1ubuntu3) lucid; urgency=low

  * Build against parted 2.2.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Mar 2010 00:46:06 +0000

partitionmanager (1.0.1-1ubuntu2) lucid; urgency=low

  * Build against parted 2.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 Feb 2010 18:15:46 +0000

partitionmanager (1.0.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian Testing, remaining changes:
    - Keep partitionmanager.pod so that we have a manpage
    - Build the partitionmanager KCM since we can handle root KCMs

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 26 Jan 2010 08:48:57 -0500

partitionmanager (1.0.1-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Add uversionmangle=s/-/~/;y/A-Z/a-z/ to watch file.

  [ George Kiagiadakis ]
  * Update copyright years.

 -- George Kiagiadakis <gkiagiad@csd.uoc.gr>  Sat, 23 Jan 2010 14:06:33 +0200

partitionmanager (1.0.0-1ubuntu1) lucid; urgency=low

  * Merge with Debian Testing, remaining changes:
    - Keep partitionmanager.pod so that we have a manpage
    - Build the partitionmanager KCM since we can handle root KCMs
    - src/jobs/job.cpp: Interpret any filesystem type starting with
      "linux-swap" as a swap partition.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Nov 2009 14:32:57 -0500

partitionmanager (1.0.0-0ubuntu3) karmic; urgency=low

  * src/jobs/job.cpp: Interpret any filesystem type starting with
    "linux-swap" as a swap partition.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Oct 2009 09:32:37 +0100

partitionmanager (1.0.0-0ubuntu2) karmic; urgency=low

  * Fixed debian/control:
    - Added Suggests section for "fsutils" tools

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 11 Sep 2009 14:45:36 +0200

partitionmanager (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.8.3 (no changes required).

 -- George Kiagiadakis <gkiagiad@csd.uoc.gr>  Sun, 23 Aug 2009 15:08:57 +0300

partitionmanager (1.0.0-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.3 - no changes needed

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 Aug 2009 13:06:15 -0400

partitionmanager (1.0.0~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Disable building the partitionmanager kcm, as it
    is requires systemsettings to be running as root and
    it ends up being just confusing and not useful at all.

 -- George Kiagiadakis <gkiagiad@csd.uoc.gr>  Sat, 15 Aug 2009 19:26:29 +0300

partitionmanager (1.0.0~rc1-0ubuntu1) karmic; urgency=low

  [ Christian Mangold ]
  * New upstream release (LP: #408572)
  * Update maintainer
  
  [ Chris Coulson ]
  * Bump Standards-Version to 3.8.2 - no changes needed.

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 03 Aug 2009 22:43:59 +0200

partitionmanager (1.0.0~beta3-0ubuntu2) karmic; urgency=low

  * Rebuild against libparted1.8-12.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Jul 2009 11:55:12 +0100

partitionmanager (1.0.0~beta3-1) unstable; urgency=low

  * New upstream beta release.
  * Bump standards-version to 3.8.2 (No changes required).
  * As a side effect, package will be rebuilt against
    libparted1.8-12. (Closes: #534252)

 -- George Kiagiadakis <gkiagiad@csd.uoc.gr>  Tue, 23 Jun 2009 18:51:47 +0300

partitionmanager (1.0.0~beta3-0ubuntu1) karmic; urgency=low

  [ Christian Mangold ]
  * New upstream beta release (LP: #383702)
  * debian/rules:
    - Remove /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
    - Use /usr/share/cdbs/1/rules/debhelper.mk
    - Use /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk

  [ Jonathan Thomas ]
  * Bump debhelper build-depend version to 7 since we use pkg-kde-tools (bumped
    compat too)
  * partitionmanager depends on ${misc:Depends}, to satisfy lintain

 -- Christian Mangold <neversfelde@ubuntu.com>  Thu, 04 Jun 2009 20:19:38 +0200

partitionmanager (1.0.0~beta2-1) unstable; urgency=low

  * New upstream beta release.
  * Bump standards-version to 3.8.1.

 -- George Kiagiadakis <gkiagiad@csd.uoc.gr>  Mon, 01 Jun 2009 18:17:12 +0300

partitionmanager (1.0.0~beta2-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Remove debian/patches (icon is now included)
    + drop quilt build-dep
  * Bump standards-version to 3.8.1
  * Update lintian override with manpage for partitionmanager-bin, the 
    actually binary is now a wrapper around -bin, so we don't need an
    additional manpage
  * Use pkg-kde-tools for building instead of CDBS' kde4.mk

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 02 May 2009 14:50:18 +0200

partitionmanager (1.0.0~beta1a-1) unstable; urgency=low

  * Initial release (Closes: #512097)

 -- George Kiagiadakis <gkiagiad@csd.uoc.gr>  Wed, 15 Apr 2009 23:02:49 +0300

partitionmanager (1.0.0~beta1a-0ubuntu2) jaunty; urgency=low

  * Added desktop_icon.diff (LP: #330662)
    - Set icon to 'drive-harddisk' as a temporary fix, until an icon is
      included in the source
  * Added build dep on quilt

 -- Christian Mangold <neversfelde@ubuntu.com>  Tue, 17 Feb 2009 19:13:50 +0100

partitionmanager (1.0.0~beta1a-0ubuntu1) jaunty; urgency=low

  [ Christopher Swift ]
  * Initial release (LP: #317974).

  [ Anthony Mercatante ]
  * Added debian/partitionmanager.override file

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 23 Jan 2009 17:57:36 +0100

=== debian/control ===
Source: partitionmanager
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <gkiagiad@csd.uoc.gr>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7), pkg-kde-tools (>= 0.4.2),
 kdelibs5-dev, libblkid-dev, libparted0-dev (>= 2.2), uuid-dev, pkg-config
Standards-Version: 3.8.3
Homepage: http://www.partitionmanager.org

Package: partitionmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: dosfstools, reiserfsprogs, reiser4progs, xfsprogs, jfsutils,
 ntfsprogs, hfsutils, hfsplus, udev
Description: A partition management utility
 Partition Manager is a utility program to help you manage the disk devices,
 partitions and file systems on your computer. It allows you to easily create,
 copy, move, delete, resize without losing data, backup and restore partitions.
 .
 Partition Manager supports a large number of file systems, including ext2/3/4,
 reiserfs, NTFS, FAT16/32, jfs, xfs and more. Note that to gain support for a
 specific file system other than ext2/3/4, you should install the corresponding
 suggested package.
 .
 Partition Manager is based on libparted (like gparted) and makes use of the
 KDE libraries for its user interface.

## partitionmanager 1.0.2

=== debian/changelog ===
partitionmanager (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Explicitly add cmake to build dependencies.

 -- George Kiagiadakis <gkiagiad@csd.uoc.gr>  Wed, 12 May 2010 13:14:01 +0300

partitionmanager (1.0.1-2) unstable; urgency=low

  [ George Kiagiadakis ]
  * Remove the udev suggest since vol_id is now gone from udev and
    partitionmanager can use blkid from util-linux, which is essential.

  [ Fathi Boudra ]
  * Add 01_ftbfs_binutils-gold patch. (Closes: #556051)
  * Build against parted 2.2. (Closes: #574907)
  * Bump standards-version to 3.8.4 (no changes needed).

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 23 Mar 2010 09:24:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: partitionmanager
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: George Kiagiadakis <gkiagiad@csd.uoc.gr>
-Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7), pkg-kde-tools (>= 0.4.2),
- kdelibs5-dev, libblkid-dev, libparted0-dev (>= 2.2), uuid-dev, pkg-config
-Standards-Version: 3.8.3
+Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7), pkg-kde-tools (>= 0.6.4),
+ kdelibs5-dev, libblkid-dev, libparted0-dev (>= 2.2), uuid-dev, pkg-config,
+ cmake
+Standards-Version: 3.8.4
 Homepage: http://www.partitionmanager.org
 
 Package: partitionmanager
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: dosfstools, reiserfsprogs, reiser4progs, xfsprogs, jfsutils,
- ntfsprogs, hfsutils, hfsplus, udev
+ ntfsprogs, hfsutils, hfsplus
 Description: A partition management utility
  Partition Manager is a utility program to help you manage the disk devices,
  partitions and file systems on your computer. It allows you to easily create,

## partitionmanager 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 set(VERSION_MAJOR "1")
 set(VERSION_MINOR "0")
-set(VERSION_RELEASE "1")
+set(VERSION_RELEASE "3")
 set(VERSION_SUFFIX "")
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}${VERSION_SUFFIX})
 add_definitions(-D'VERSION="${VERSION}"')

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
 
 kde4_add_executable(partitionmanager-bin ${partitionmanager-bin_SRCS})
 
-target_link_libraries(partitionmanager-bin partitionmanagerprivate)
+target_link_libraries(partitionmanager-bin partitionmanagerprivate ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS})
 
 if(UNIX)
 	add_custom_target(partitionmanager ALL
@@ -87,7 +87,7 @@
 
 ############################################
 
-option(PARTMAN_KCM "Build a kcm for KDE Partition Manager" ON)
+option(PARTMAN_KCM "Build a kcm for KDE Partition Manager" OFF)
 
 if(PARTMAN_KCM)
 	file(GLOB partitionmanagerkcm_SRCS kcm/partitionmanagerkcm.cpp)

=== po/de/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(de ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/en_GB/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(en_GB ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/es/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(es ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/et/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(et ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/lv/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(lv ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/pt_BR/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(pt_BR ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/ru/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ru ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/uk/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(uk ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/zh_CN/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(zh_CN ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== src/kpart/test/CMakeLists.txt ===
# Copyright (C) 2008 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the
# Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

find_package(KDE4 REQUIRED)

include_directories(${KDE4_INCLUDES} .)

set(kparttest_SRCS
	main.cpp
	kparttest.cpp
)

add_subdirectory(po)

kde4_add_executable(kparttest ${kparttest_SRCS})

target_link_libraries(kparttest ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS})

install(TARGETS kparttest ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES kparttestui.rc DESTINATION  ${DATA_INSTALL_DIR}/kparttest)

=== debian/changelog ===
partitionmanager (1.0.3-2ubuntu2) trusty; urgency=low

  * Suggest ntfs-3g, instead of ntfsprogs. (LP: #1216470)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Dec 2013 15:52:30 +0000

partitionmanager (1.0.3-2ubuntu1) trusty; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Keep partitionmanager.pod and debian/rules changes so that we have a manpage

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Dec 2013 15:31:32 +0000

partitionmanager (1.0.3-2) unstable; urgency=low

  * Upload to unstable
  * Update debian/control - Standards-Version & Vcs

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 10:14:07 +1000

partitionmanager (1.0.3-1) experimental; urgency=low

  * New upstream release 
    - Drop 01_ftbfs_binutils-gold.diff
  * Add myself to Uploaders
  * Added Vcs fields
  * Updated Description - fixes description-synopsis-starts-with-article
  * debian/compat -> 9

 -- Mark Purcell <msp@debian.org>  Sun, 21 Apr 2013 09:22:56 +1000

partitionmanager (1.0.3-0ubuntu7) trusty; urgency=low

  * Suggest ntfs-3g, instead of ntfsprogs. (LP: #1216470)

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Wed, 06 Nov 2013 00:46:06 +0000

partitionmanager (1.0.3-0ubuntu6) raring; urgency=low

  * Property remove patch.

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 08 Mar 2013 21:16:59 +0100

partitionmanager (1.0.3-0ubuntu5) raring; urgency=low

  * Disable KCM building. This actually was changed upstream between
    1.0.0 and 1.0.1 only we did not notice because we explitictly enabled it
    after Debian had explitictly disabled it (was default on in 1.0.0).
    Upstream would like us to not ship it as it is duplication with the
    standalone application (KDE Bug 316188)
  * Drop kubuntu_01_fix_systemsettings_category.diff as we are not building
    the KCM the patch is not needed.

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 08 Mar 2013 21:08:02 +0100

partitionmanager (1.0.3-0ubuntu4) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 16 Sep 2011 17:40:39 +0200

partitionmanager (1.0.3-0ubuntu3) oneiric; urgency=low

  * Rebuild to import translations as the package has been promoted to main.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 21 Jul 2011 13:49:13 +0200

partitionmanager (1.0.3-0ubuntu2) natty; urgency=low

  * Rebuild against kdelibs5-dev 4.5.2a for libkutils4 transition 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 28 Oct 2010 03:54:27 +0200

partitionmanager (1.0.3-0ubuntu1) maverick; urgency=low

  * New upstrem release
    - Remove 01_ftbfs_binutils-gold.diff fixed by upstream

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 01 Sep 2010 22:36:31 +0200

partitionmanager (1.0.2-1ubuntu2) maverick; urgency=low

  * Add kubuntu_01_fix_systemsettings_category.diff changing the parent
    category in systemsettings to a value available in KDE 4.5.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 15 Aug 2010 22:45:01 +0200

partitionmanager (1.0.2-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable (LP: #579728), remaining changes:
    - Keep partitionmanager.pod so that we have a manpage
    - Build the partitionmanager KCM since we can handle root KCMs

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 13 May 2010 03:08:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: partitionmanager
 Section: admin
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: George Kiagiadakis <gkiagiad@csd.uoc.gr>
-Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7), pkg-kde-tools (>= 0.6.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Mark Purcell <msp@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
+Build-Depends: cdbs (>= 0.4.51), debhelper (>= 9), pkg-kde-tools (>= 0.6.4),
  kdelibs5-dev, libblkid-dev, libparted0-dev (>= 2.2), uuid-dev, pkg-config,
  cmake
-Standards-Version: 3.8.4
+Standards-Version: 3.9.4
 Homepage: http://www.partitionmanager.org
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/partionmanager/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/partionmanager/trunk/
 
 Package: partitionmanager
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: dosfstools, reiserfsprogs, reiser4progs, xfsprogs, jfsutils,
- ntfsprogs, hfsutils, hfsplus
-Description: A partition management utility
+ ntfs-3g, hfsutils, hfsplus
+Description: file, disk and partion management for KDE
  Partition Manager is a utility program to help you manage the disk devices,
  partitions and file systems on your computer. It allows you to easily create,
  copy, move, delete, resize without losing data, backup and restore partitions.

=== debian/rules ===
#!/usr/bin/make -f

DEB_KDE_LINK_WITH_AS_NEEDED := yes

include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk

build/partitionmanager::
	pod2man --section=1 --release=$(VERSION) --center "" debian/partitionmanager.pod > partitionmanager.1

cleanbuilddir/partitionmanager::
	rm -f partitionmanager.1

DEB_INSTALL_MANPAGES_partitionmanager = partitionmanager.1

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/;y/A-Z/a-z/" \
	http://sf.net/partitionman/partitionmanager-(.+)\.tar\.bz2 debian svn-upgrade

## partitionmanager 1.1.0

=== debian/changelog ===
partitionmanager (1.1.0-0ubuntu3) utopic; urgency=medium

  [ Scarlett Clark ]
  * Add support for solid and udisks2

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 21 Aug 2014 17:20:44 +0200

partitionmanager (1.1.0-0ubuntu2) utopic; urgency=medium

  * Rebuild against libparted2.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Jul 2014 21:29:03 +0100

partitionmanager (1.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 05:32:58 -0700

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,35 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
-Build-Depends: cdbs (>= 0.4.51), debhelper (>= 9), pkg-kde-tools (>= 0.6.4),
- kdelibs5-dev, libblkid-dev, libparted0-dev (>= 2.2), uuid-dev, pkg-config,
- cmake
-Standards-Version: 3.9.4
+Uploaders: Mark Purcell <msp@debian.org>,
+           George Kiagiadakis <gkiagiad@csd.uoc.gr>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               extra-cmake-modules,
+               kdelibs5-dev,
+               libatasmart-dev,
+               libblkid-dev,
+               libparted0-dev,
+               pkg-config,
+               pkg-kde-tools,
+               uuid-dev,
+               udisks2
+Standards-Version: 3.9.5
 Homepage: http://www.partitionmanager.org
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/partionmanager/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/partionmanager/trunk/
 
 Package: partitionmanager
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: dosfstools, reiserfsprogs, reiser4progs, xfsprogs, jfsutils,
- ntfs-3g, hfsutils, hfsplus
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: dosfstools,
+          hfsplus,
+          hfsutils,
+          jfsutils,
+          ntfs-3g,
+          reiser4progs,
+          reiserfsprogs,
+          xfsprogs
 Description: file, disk and partion management for KDE
  Partition Manager is a utility program to help you manage the disk devices,
  partitions and file systems on your computer. It allows you to easily create,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DENABLE_UDISKS2=ON

## partitionmanager 1.2.1

=== CMakeLists.txt ===
# Copyright (C) 2008 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

project(partitionmanager)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(CMAKE_USE_RELATIVE_PATHS OFF)
set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)
set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOL "Install mkspecs files, Plugins and Imports to the Qt 5 install dir" FORCE)

set(QT_MIN_VERSION "5.3.0")
set(VERSION_MAJOR "1")
set(VERSION_MINOR "2")
set(VERSION_RELEASE "1")
set(VERSION_SUFFIX "")
set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}${VERSION_SUFFIX})
add_definitions(-D'VERSION="${VERSION}"')

find_package(ECM 0.0.13 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")
include(ECMInstallIcons)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
  Core
  Widgets
)

# Load the frameworks we need
find_package(KF5 REQUIRED
  Config
  Crash
  DocTools
  I18n
  IconThemes
  JobWidgets
  KIO
  WindowSystem
  XmlGui
  WidgetsAddons
)

# use sane compile flags
add_definitions(
  -fexceptions
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
)

find_package(MSGFMT REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(BLKID REQUIRED blkid)
pkg_check_modules(LIBATASMART REQUIRED libatasmart)

include_directories(${Qt5Core_INCLUDE_DIRS} ${UUID_INCLUDE_DIRS} ${BLKID_INCLUDE_DIRS} lib/ src/)

add_subdirectory(lib)
add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(doc)

ki18n_install(po)

get_filename_component(_doc_translations_path doc-translations ABSOLUTE)

if (EXISTS ${_doc_translations_path}/CMakeLists.txt)
    add_subdirectory(doc-translations)
endif()

message(STATUS "KDE Partition Manager ${VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")

=== doc/CMakeLists.txt ===
add_subdirectory(en_US)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(nl)
add_subdirectory(pt_BR)
add_subdirectory(sv)
add_subdirectory(uk)

=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS sc-apps-partitionmanager.svg DESTINATION ${ICON_INSTALL_DIR})

=== lib/CMakeLists.txt ===
# Copyright (C) 2008 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(fatlabel)

=== src/CMakeLists.txt ===
# Copyright (C) 2008, 2012 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

############################################

file(GLOB partitionmanagerprivate_SRCS
	backend/*.cpp
	core/*.cpp
	util/*.cpp
	ops/*.cpp
	jobs/*.cpp
	fs/*.cpp
	gui/*.cpp
	config/*.cpp
)

file(GLOB partitionmanagerprivate_UIFILES config/*.ui gui/*.ui)

ki18n_wrap_ui(partitionmanagerprivate_SRCS ${partitionmanagerprivate_UIFILES})

kconfig_add_kcfg_files(partitionmanagerprivate_SRCS config.kcfgc)
install(FILES config.kcfg DESTINATION ${KCFG_INSTALL_DIR})

add_library(partitionmanagerprivate SHARED ${partitionmanagerprivate_SRCS})
generate_export_header(partitionmanagerprivate EXPORT_FILE_NAME libpartitionmanager_export.h)
target_link_libraries( partitionmanagerprivate libfatlabel
    ${UUID_LIBRARIES} ${BLKID_LIBRARIES} ${LIBATASMART_LIBRARIES}
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::Crash
    KF5::I18n
    KF5::IconThemes
    KF5::JobWidgets
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::XmlGui
    KF5::WidgetsAddons
    KF5::WindowSystem
)

install(TARGETS partitionmanagerprivate ${INSTALL_TARGETS_DEFAULT_ARGS})

############################################

file(GLOB partitionmanager_SRCS	main.cpp)

add_executable(partitionmanager ${partitionmanager_SRCS})

target_link_libraries(partitionmanager partitionmanagerprivate)

install(TARGETS partitionmanager ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.PartitionManager.appdata.xml DESTINATION share/appdata)
install(FILES gui/partitionmanagerui.rc DESTINATION ${DATA_INSTALL_DIR}/partitionmanager)
install(PROGRAMS org.kde.PartitionManager.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

############################################

add_subdirectory(plugins)

=== doc/de/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de
                          SUBDIR partitionmanager)

=== doc/en_US/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en_US
                          SUBDIR partitionmanager)

=== doc/it/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it
                          SUBDIR partitionmanager)

=== lib/fatlabel/CMakeLists.txt ===
# Copyright (C) 2010 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(CMAKE_VISIBILITY_INLINES_HIDDEN 0)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -W -Wall -std=gnu11 -Wno-sign-compare -Wno-type-limits -fno-strict-aliasing")

file(GLOB libfatlabel_SRCS
	*.c
)

include_directories(.)
add_definitions(-D_LARGEFILE64_SOURCE -D_GNU_SOURCE)

############################################

add_library(libfatlabel SHARED ${libfatlabel_SRCS})
target_link_libraries(libfatlabel)

set_target_properties(libfatlabel PROPERTIES
	PREFIX ""
	OUTPUT_NAME "libpartitionmanagerfatlabel"
)

install(TARGETS libfatlabel ${INSTALL_TARGETS_DEFAULT_ARGS})

############################################

option(MLABEL_EXECUTABLE "Build a test executable for libfatlabel" OFF)
mark_as_advanced(MLABEL_EXECUTABLE)

if (MLABEL_EXECUTABLE)
	set(app_SRCS app/main.c)
	add_executable(fatlabel ${app_SRCS})
	target_link_libraries(fatlabel libfatlabel)
	install(TARGETS fatlabel ${INSTALL_TARGETS_DEFAULT_ARGS})
endif (MLABEL_EXECUTABLE)

=== src/plugins/CMakeLists.txt ===
# Copyright (C) 2010 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

############################################

install(FILES pmcorebackendplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

option(PARTMAN_LIBPARTEDBACKEND "Build the libparted backend plugin." ON)

if (PARTMAN_LIBPARTEDBACKEND)
	add_subdirectory(libparted)
endif (PARTMAN_LIBPARTEDBACKEND)

option(PARTMAN_DUMMYBACKEND "Build the dummy backend plugin." ON)

if (PARTMAN_DUMMYBACKEND)
	add_subdirectory(dummy)
endif (PARTMAN_DUMMYBACKEND)

=== src/plugins/dummy/CMakeLists.txt ===
# Copyright (C) 2010 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

file (GLOB pmdummybackendplugin_SRCS *.cpp)

add_library(pmdummybackendplugin SHARED ${pmdummybackendplugin_SRCS})

target_link_libraries(pmdummybackendplugin partitionmanagerprivate KF5::KIOCore ${LIBPARTED_LIBS} ${BLKID_LIBRARIES} KF5::Solid)

install(TARGETS pmdummybackendplugin DESTINATION ${PLUGIN_INSTALL_DIR})
kcoreaddons_desktop_to_json(pmdummybackendplugin pmdummybackendplugin.desktop)
install(FILES pmdummybackendplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/plugins/libparted/CMakeLists.txt ===
# Copyright (C) 2010 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

find_package(LIBPARTED REQUIRED)

if (LIBPARTED_FILESYSTEM_SUPPORT)
	add_definitions(-DLIBPARTED_FILESYSTEM_SUPPORT)
endif (LIBPARTED_FILESYSTEM_SUPPORT)

if (LIBPARTED_FS_RESIZE_LIBRARY_SUPPORT)
	add_definitions(-DLIBPARTED_FS_RESIZE_LIBRARY_SUPPORT)
endif (LIBPARTED_FS_RESIZE_LIBRARY_SUPPORT)

include_directories(${LIBPARTED_INCLUDE_DIR})

file (GLOB pmlibpartedbackendplugin_SRCS *.cpp)

add_library(pmlibpartedbackendplugin SHARED ${pmlibpartedbackendplugin_SRCS})

target_link_libraries(pmlibpartedbackendplugin partitionmanagerprivate ${LIBPARTED_LIBS} ${BLKID_LIBRARIES} KF5::KIOCore)

install(TARGETS pmlibpartedbackendplugin DESTINATION ${PLUGIN_INSTALL_DIR})
kcoreaddons_desktop_to_json(pmlibpartedbackendplugin pmlibpartedbackendplugin.desktop)
install(FILES pmlibpartedbackendplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
partitionmanager (1.2.1-0ubuntu1.1) xenial; urgency=critical

  * Fix crash when clicking cancel button, which may cause data loss
    (LP: #1715576)
    - fix-crash-when-cancelling.patch

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 16 Sep 2017 15:04:39 -0500

partitionmanager (1.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release
    - Drop build-dep on libkf5kdelibs4support-data, no longer required
  * Update Homepage: in debian/control

 -- Scott Kitterman <scott@kitterman.com>  Tue, 17 Feb 2015 18:47:37 -0500

partitionmanager (1.2.0-0ubuntu2) vivid; urgency=medium

  * Remove obsolete build-dep on udisks2

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Feb 2015 13:39:49 -0500

partitionmanager (1.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release (port to Kf5)
    - Remove debian/patches, all patches incorporated upstream
    - Replace build-dep on kdelibs5-dev with build-deps on required Kf5
      modules:
        kdoctools-dev,
        kio-dev,
        libkf5config-dev,
        libkf5crash-dev,
        libkf5i18n-dev,
        libkf5iconthemes-dev,
        libkf5jobwidgets-dev,
        libkf5kdelibs4support-data,
        libkf5windowsystem-dev,
        libkf5xmlgui-dev,
        libkf5widgetsaddons-dev
    - Drop dh_auto_configure override to set DENABLE_UDISKS2=ON, no longer
      needed
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Feb 2015 08:52:06 -0500

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

=== debian/watch ===
version=3
http://download.kde.org/stable/partitionmanager/([\d\.]+)/src/partitionmanager-(.*)\.tar\.xz

## partitionmanager 3.0.0

=== doc/CMakeLists.txt ===
add_subdirectory(en)
add_subdirectory(ca)
add_subdirectory(de)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(it)
add_subdirectory(nl)
add_subdirectory(pt_BR)
add_subdirectory(sv)
add_subdirectory(uk)

=== doc/es/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/es
                          SUBDIR partitionmanager)

=== doc/sv/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sv
                          SUBDIR partitionmanager)

=== doc/uk/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk
                          SUBDIR partitionmanager)

=== debian/changelog ===
partitionmanager (3.0.0-1) unstable; urgency=medium

  [ Jonathan Carter ]
  * Update to new upstream version (Closes: #794438, #709474, LP: #1635756)
  * Update standards version to 3.9.8
  * Remove patches (no longer needed)
  * Update compat to level 10
  * Fix watch file (Closes: #788701)
  * Replace ntfsprogs dependency with ntfs-3g (Closes: #731957)
  * Replace partion typo with partition in control (Closes: 745290)
  * New build-deps: extra-cmake-modules, qtbase5-dev, libkf5widgetsaddons-dev,
                    libkf5xmlgui-dev, libkf5kiocore5, libkf5config-dev,
                    libkf5crash-dev, libkf5doctools-dev, libkf5jobwidgets-dev,
                    libkf5kio-dev, libkpmcore4-dev, libatasmart-dev
  * wrap-and-sort
  * Update homepage to new location on kde.org
  * Update copyright file to machine readable format
  * Add hardening export to debian/rules
  * Remove 3 lintian-overrides (no longer needed)
  * Add lintian override for insecure VCS URI
  * Remove maintainer scripts (no longer needed)
  * Add myself as uploader

  [ Scott Kitterman ]
  * Add missing build-depends on libkpmcore4-dev
  * Drop obsolete build-depends on kdelibs5-dev
  * Drop build-depends on cdbs and change debian rules to use dh
  * Update debian/copyright to for current license and copyright holders

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 25 Dec 2016 21:19:48 -0500

partitionmanager (1.0.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport support for libparted 3.1 from upstream (closes: #754580).
  * Include cmake module needed for CHECK_FUNCTION_EXISTS.

 -- Colin Watson <cjwatson@debian.org>  Sat, 19 Jul 2014 23:05:50 +0100

=== debian/control ===
Source: partitionmanager
Section: admin
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Jonathan Carter <jcarter@linux.com>
Build-Depends: cmake,
               debhelper (>= 10),
               extra-cmake-modules,
               libatasmart-dev,
               libblkid-dev,
               libkf5config-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5kiocore5,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libkpmcore4-dev,
               libparted0-dev (>= 2.2),
               pkg-config,
               pkg-kde-tools (>= 0.6.4),
               qtbase5-dev,
               uuid-dev
Standards-Version: 3.9.8
Homepage: https://www.kde.org/applications/system/kdepartitionmanager/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/partitionmanager/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/partitionmanager/trunk/

Package: partitionmanager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: dosfstools,
          hfsplus,
          hfsutils,
          jfsutils,
          ntfs-3g,
          reiser4progs,
          reiserfsprogs,
          xfsprogs
Description: file, disk and partition management for KDE
 Partition Manager is a utility program to help you manage the disk devices,
 partitions and file systems on your computer. It allows you to easily create,
 copy, move, delete, resize without losing data, backup and restore partitions.
 .
 Partition Manager supports a large number of file systems, including ext2/3/4,
 reiserfs, NTFS, FAT16/32, jfs, xfs and more. Note that to gain support for a
 specific file system other than ext2/3/4, you should install the corresponding
 suggested package.
 .
 Partition Manager is based on libparted (like gparted) and makes use of the
 KDE libraries for its user interface.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_KDE_LINK_WITH_AS_NEEDED := yes
DEB_CMAKE_CUSTOM_FLAGS := -DPARTMAN_KCM=OFF


%:
	dh $@ --parallel --with kf5
